SAM_STOP(3)

NAME

sam_stop - Stop health checking

SYNOPSIS

#include <corosync/sam.h>

cs_error_t sam_stop (void);

DESCRIPTION

The sam_stop function is used to stop health checking of an active process. After calling this function, the application no longer should send helathchecks. In the case of event driven healthchecking, the healthchecking thread will be stopped.

A process can always start health checking again by calling sam_start(3) function.

RETURN VALUE

This call return CS_OK value if successful, otherwise and error is returned.

ERRORS

CS_ERR_BAD_HANDLE
    health checking was not started by calling sam_start(3) function.

SEE ALSO
sam_start(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task